<form class="personal-details box-shadow" [formGroup]="form">
  <p>1. PERSONAL DETAILS OF THE HOLDER</p>
  <div class="container-details">
    <div style="margin-top: 2rem" class="section">1.1 Personal Identification Number</div>
    <div style="margin: 1rem 0">
      <ion-input
        class="custom"
        formControlName="pin"
        placeholder="Personal Identification Number"></ion-input>
    </div>

    <div class="section" id="surname">1.2 Surname</div>
    <div style="margin: 1rem 0">
      <ion-input
        [ngClass]="
          form.controls['surname'].invalid &&
          (form.controls['surname'].dirty || form.controls['surname'].touched)
            ? 'custom ion-error-message'
            : 'custom'
        "
        formControlName="surname"
        placeholder="Surname"></ion-input>
    </div>

    <div id="validation-errors-surname">
      <div
        [ngClass]="
          form.controls['surname'].invalid &&
          (form.controls['surname'].dirty || form.controls['surname'].touched)
            ? 'error-message'
            : 'error-message-hidden'
        ">
        Surname is required.
      </div>
    </div>

    <div class="section" id="forenames">1.3 Forenames</div>
    <div style="margin: 1rem 0">
      <ion-input
        [ngClass]="
          form.controls['forenames'].invalid &&
          (form.controls['forenames'].dirty || form.controls['forenames'].touched)
            ? 'custom ion-error-message'
            : 'custom'
        "
        formControlName="forenames"
        placeholder="Forenames"></ion-input>
    </div>

    <div id="validation-errors-forename">
      <div
        [ngClass]="
          form.controls['forenames'].invalid &&
          (form.controls['forenames'].dirty || form.controls['forenames'].touched)
            ? 'error-message'
            : 'error-message-hidden'
        ">
        Forenames are required.
      </div>
    </div>

    <div class="section">1.4 Surname at birth</div>
    <div style="margin: 1rem 0">
      <ion-input
        class="custom"
        formControlName="surnameAtBirth"
        placeholder="Surname at birth"></ion-input>
    </div>

    <section class="personal-data">
      <div class="header">1.5 Date of birth</div>
      <div class="header">1.6 Nationality</div>
      <div class="header">1.7 Place of birth</div>
      <div id="dateOfBirth">
        <ion-input
          class="personal-data-section-custom"
          formControlName="dateOfBirth"
          placeholder="yyyy-MM-dd"></ion-input>
      </div>
      <div id="countryOfBirth">
        <ng-select
          [ngClass]="
            form.controls['countryOfBirth'].invalid &&
            (form.controls['countryOfBirth'].dirty || form.controls['countryOfBirth'].touched)
              ? 'ng-select-error-message'
              : ''
          "
          [items]="countries"
          bindLabel="name"
          bindValue="id"
          placeholder="Select country of birth"
          formControlName="countryOfBirth">
        </ng-select>
      </div>
      <div id="placeOfBirth">
        <ion-input
          class="personal-data-section-custom"
          formControlName="placeOfBirth"
          placeholder="Place of birth"></ion-input>
      </div>

      <span
        [ngClass]="
          form.controls['countryOfBirth'].invalid &&
          (form.controls['countryOfBirth'].dirty || form.controls['countryOfBirth'].touched)
            ? 'country-of-birth-error-message'
            : 'error-message-hidden'
        ">
        Country selection is required.
      </span>
    </section>
    <issuer-pda1-address [address]="address"></issuer-pda1-address>
    <issuer-pda1-stay-address [address]="address"></issuer-pda1-stay-address>
  </div>
</form>
